Bug 47013 - [PATCH] Fix curses bug in mail/offlineimap 3.99.7
Summary: [PATCH] Fix curses bug in mail/offlineimap 3.99.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: nbm
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-13 11:30 UTC by Sergei Kolobov
Modified: 2003-01-20 09:43 UTC (History)
1 user (show)

See Also:


Attachments
offlineimap-3.99.7_1.patch (4.07 KB, patch)
2003-01-13 11:30 UTC, Sergei Kolobov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Kolobov 2003-01-13 11:30:01 UTC
The new and shiny Curses.Blinkenlights user interfaces has a bug that makes
it useless under FreeBSD - all messages are displayed with black foreground
on black background!

The author has published a patch that will be included in the next upstream
(3.99.8, date of release is not known).

- Fix a bug with curses initialization (patch supplied by the OfflineIMAP's
  author, John Goerzen)
- Bump PORTREVISION

File added:
- files/patch-ui::Curses.py (new)

Port maintainer - nbm@FreeBSD.org - has been copied.
Comment 1 Tilman Keskinoz freebsd_committer 2003-01-19 00:27:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nbm

Over to Maintainer
Comment 2 nbm freebsd_committer 2003-01-20 09:43:31 UTC
State Changed
From-To: open->closed

Patch applied, thanks!